DTLSProtocol (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.tls

## Class DTLSProtocol

- java.lang.Object
- - org.bouncycastle.crypto.tls.DTLSProtocol

- Direct Known Subclasses:
    DTLSClientProtocol, DTLSServerProtocol

      public abstract class DTLSProtocol
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.security.SecureRandom` | `secureRandom`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DTLSProtocol(java.security.SecureRandom secureRandom)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static short` | `evaluateMaxFragmentLengthExtension(java.util.Hashtable clientExtensions, java.util.Hashtable serverExtensions, short alertDescription)`
    `protected static byte[]` | `generateCertificate(Certificate certificate)`
    `protected static byte[]` | `generateSupplementalData(java.util.Vector supplementalData)`
    `protected void` | `processFinished(byte[] body, byte[] expected_verify_data)`
    `protected static void` | `validateSelectedCipherSuite(int selectedCipherSuite, short alertDescription)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### secureRandom

          protected final java.security.SecureRandom secureRandom

  - ### Constructor Detail

    - #### DTLSProtocol

          protected DTLSProtocol(java.security.SecureRandom secureRandom)

  - ### Method Detail

    - #### processFinished

          protected void processFinished(byte[] body,
                             byte[] expected_verify_data)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### evaluateMaxFragmentLengthExtension

          protected static short evaluateMaxFragmentLengthExtension(java.util.Hashtable clientExtensions,
                                                 java.util.Hashtable serverExtensions,
                                                 short alertDescription)
                                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### generateCertificate

          protected static byte[] generateCertificate(Certificate certificate)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### generateSupplementalData

          protected static byte[] generateSupplementalData(java.util.Vector supplementalData)
                                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### validateSelectedCipherSuite

          protected static void validateSelectedCipherSuite(int selectedCipherSuite,
                                         short alertDescription)
                                                     throws java.io.IOException

      Throws:
        `java.io.IOException`